# Buzzy REST API

Datatables also provide the ability to fire rules on events - eg update, click , add new that allow Actions to be called. These include “in-house” like send push notifications, logging and also the ability to call an pass data to 3rd party REST APIs.

[Integrating 3rd party applications](/rest-api/buzzy-rest-api/integrating-3rd-party-applications.md) is a good starting point to familiarize yourself with the Buzzy API capabilities.

Buzzy REST API calls handle “conflict resolution”. For example, if a user has taken data offline, edited it… then comes back online and in the interim a 3rd party REST API call tries to update the same data. If things are out fo sync a conflict will be raised and user will need to select the “winner”.

***

### Table of contents

* [Integrating 3rd party applications](/rest-api/buzzy-rest-api/integrating-3rd-party-applications.md)
* [REST API](/rest-api/buzzy-rest-api/rest-api.md)
* [Microapp Rules](/rest-api/buzzy-rest-api/datatable-rules.md)
* [Tutorial microappdata](/rest-api/buzzy-rest-api/datatabledata-tutorial.md)
* [Integrating with Mailchimp](/rest-api/buzzy-rest-api/integrating-with-mailchimp.md)
* [Microapp and Spectrum Dataflow integration](broken://pages/GF6Pb9kzKOlYguhGYzBF)
* [Python Access Microapp](/rest-api/buzzy-rest-api/python-access-datatable.md)

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.buzzy.buzz/rest-api/buzzy-rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
